import { services } from "../../model/services.mjs"
import { ServiceLink } from "../pieces/ServiceLink.mjs"
import { Base } from "./Base.mjs"

export const All = {
    oncreate() {
        document.title = "Alle Dienste · FS Coli Portal"
    },
    view() {
        return m(
            Base,
            m("article.services", [
                services
                    .toSorted((s1, s2) => s1.name.localeCompare(s2.name))
                    .map(service => m(ServiceLink, service)),
            ]),
        )
    },
}
